# Docker Registry puppet-module

Puppet module for docker registry config and instalation

# Usage

```puppet
  class { 'redistry':
    ipbind_port      => '0.0.0.0:8080',
    storage          => 's3',
    cache_redis_host => '0.0.0.0',
    cache_redis_port => 6379
  }
```

# Full Parameters list

```puppet
  $ipbind_port                         = '0.0.0.0:8080',  
  $version                             = latest,  
  $user                                = 'registry',  
  $group                               = 'registry',  
  $storage                             = 'local',  
  $venv_path                           = '/var/lib/venv',  
  $gunicorn_max_requests               = 100,  
  $gunicorn_workers                    = 3,  
  $loglevel                            = 'info',  
  $debug                               = false,  
  $standalone                          = true,  
  $index_endpoint                      = 'https://index.docker.io',  
  $storage_redirect                    = undef,  
  $disable_token_auth                  = undef,  
  $privileged_key                      = undef,  
  $search_backend                      = undef,  
  $sqlalchemy_index_database           = 'sqlite:////tmp/docker-registry.db',  
  $mirror_source                       = undef,  
  $mirror_source_index                 = undef,  
  $mirror_tags_cache_ttl               = '172800',  
  $cache_redis_host                    = undef,  
  $cache_redis_port                    = undef,  
  $cache_redis_db                      = '0',  
  $cache_redis_password                = undef,  
  $cache_lru_redis_host                = undef,  
  $cache_lru_redis_port                = undef,  
  $cache_lru_redis_db                  = '0',  
  $cache_lru_redis_password            = undef,  
  $smtp_host                           = undef,  
  $smtp_port                           = 25,  
  $smtp_login                          = undef,  
  $smtp_password                       = undef,  
  $smtp_secure                         = 'false',  
  $smtp_from_addr                      = 'docker-registry@localdomain.local',  
  $smtp_to_addr                        = 'noise+dockerregistry@localdomain.  local',  
  $bugsnag                             = undef,  
  $cors_origins                        = undef,  
  $cors_methods                        = undef,  
  $cors_headers                        = '[Content-Type]',  
  $cors_expose_headers                 = undef,  
  $cors_supports_credentials           = undef,  
  $cors_max_age                        = undef,  
  $cors_send_wildcard                  = undef,  
  $cors_always_send                    = undef,  
  $cors_automatic_options              = undef,  
  $cors_vary_header                    = undef,  
  $cors_resources                      = undef,  
  $local_storage_path                  = '/tmp/registry',  
  $aws_region                          = undef,  
  $aws_bucket                          = undef,  
  $aws_storage_path                    = '/registry',  
  $aws_encrypt                         = true,  
  $aws_secure                          = true,  
  $aws_key                             = undef,  
  $aws_secret                          = undef,  
  $aws_use_sigv4                       = undef,  
  $aws_host                            = undef,  
  $aws_port                            = undef,  
  $aws_debug                           = 0,  
  $aws_calling_format                  = undef,  
  $cf_base_url                         = undef,  
  $cf_keyid                            = undef,  
  $cf_keysecret                        = undef,  
  $azure_storage_account_name          = undef,  
  $azure_storage_account_key           = undef,  
  $azure_storage_container             = 'registry',  
  $azure_use_https                     = true,  
  $gcs_bucket                          = undef,  
  $gcs_storage_path                    = '/registry',  
  $gcs_secure                          = true,  
  $gcs_key                             = undef,  
  $gcs_secret                          = undef,  
  $gcs_oauth2                          = false,  
  $os_storage_path                     = undef,  
  $os_auth_url                         = undef,  
  $os_container                        = undef,  
  $os_container                        = undef,  
  $os_password                         = undef,  
  $os_tenant_name                      = undef,  
  $os_region_name                      = undef,  
  $glance_storage_alternate            = file,  
  $glance_storage_path                 = '/tmp/registry',  
  $elliptics_nodes                     = undef,  
  $elliptics_wait_timeout              = 60,  
  $elliptics_check_timeout             = 60,  
  $elliptics_io_thread_num             = 2,  
  $elliptics_net_thread_num            = 2,  
  $elliptics_nonblocking_io_thread_num = 2,  
  $elliptics_groups                    = undef,  
  $elliptics_verbosity                 = 4,  
  $elliptics_logfile                   = '/dev/stderr',  
  $elliptics_addr_family               = 2,  
  $oss_storage_path                    = '/registry/',  
  $oss_host                            = undef,  
  $oss_bucket                          = undef,  
  $oss_key                             = undef,  
  $oss_secret                          = undef,  
  $dev_loglevel                        = 'debug',  
  $dev_debug                           = true,  
  $dev_search_backend                  = 'sqlalchemy',  
  $test_storage_path                   = './tmp/test',  
  $prod_storage_path                   = '/prod',  
```